<?php 
ob_start();
session_start();
include "../config/config.php";
include "../config/session.php";


$requestData = $_REQUEST;


if($requestData['length']==-1){
    $requestData['length'] = 100000;
}


/*Fetch Database column Details*/
        $columns = array( 
            0 =>'id', 
            1 =>'id', 
            2 =>'id',
            3 =>'id',
            4 =>'id',
            5 =>'id',
            6 =>'id',
            7 =>'id',
            8 =>'id',
            9 =>'id'
           
        );
        
$conditions="";

$status = $_POST['status'];

if($status!=""){
    $conditions.=" and e.status=".$status;
}



$sql_query = "SELECT e.* FROM tbl_business_branch e";
        
/*Fetch All Data Start*/        
    	$statement = $pdo->prepare("$sql_query 
    	                            WHERE e.id!=0 ".$conditions." ORDER BY e.id DESC");
		$statement->execute();
		$query = $statement->fetchAll(PDO::FETCH_ASSOC);
		$totalData = $statement->rowCount();
        $totalFiltered = $totalData;
/*Fetch All Data End*/       
        
/*Fetch Filter Data Start*/    
         $sql = "$sql_query
                WHERE e.id!=0 ".$conditions;
         
        if( !empty($_REQUEST['search'])){   
        	$sql.=" AND ( e.customer_name LIKE '%".$_REQUEST['search']."%' ";    
        	$sql.=" OR e.unique_id LIKE '%".$_REQUEST['search']."%'  ";
        	$sql.=" OR e.mobile_no LIKE '%".$_REQUEST['search']."%' ) ";
        }
        
/*Fetch Filter Data End*/       
        


         $sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
       	
        $statement = $pdo->prepare($sql);
        $statement->execute();
		$query = $statement->fetchAll(PDO::FETCH_ASSOC);

$data = array();
$i=1;
foreach($query as $row) { 
	$nestedData = array(); 
	
	$action= "<div class='text-center'><div class='btn-group'>";
	 
	 
	if($session_id==1 || $session_user_type==1 || $allPermissions['customers']['read']=="1"){
	                    $action.=" <a style='padding: 6px;margin-right: 3px;' href='modal/customers-view-modal.php?id=".$row["id"]."' data-toggle='ajax-modal' title='View Details' class='tip btn btn-primary btn-xs'>
		                    <i class='fa fa-eye'></i>
		                </a>";
	}
	 
	 
	if($session_id==1 || $session_user_type==1 || $allPermissions['customers']['edit']=="1"){	                
	 	               $action.="<a style='padding: 6px;margin-right: 3px;' href='business_locations.php?id=".$row["id"]."' title='Edit Business Locations' class='tip btn btn-warning btn-xs'>
		                    <i class='fa fa-edit'></i>
		                </a> ";
	}
	
	
	if($session_id==1 || $session_user_type==1 || $allPermissions['customers']['delete']=="1"){	
		      if($row["status"]==1){
		                $action.=" <button style='padding: 6px;margin-right: 3px;' title='Delete Customers' onClick='delete_Details(".$row["id"].")' class='tip btn btn-danger btn-xs'>
		                    <i class='fa fa-trash-o'></i>
		                </button>";
		      }
	}
		                
	$action.="</div></div>";
	
	
	$nestedData[] = $action;	
	
	$nestedData[] = "<div class='text-center'>".$i."</div>";
	
	$nestedData[] = "<div class='text-center'>".$row["business_name"]."</div>";
	
	$nestedData[] = "<div class='text-center'>".$row["mobile_no"]."</div>";
	
	$nestedData[] = "<div class='text-center'>".$row["branch_code"]."</div>";
	
	$nestedData[] = "<div class='text-center'>".$row["location_name"]."</div>";
	
	if($row["status"]==1){
	    $nestedData[] ="<div class='text-center'><span class='btn btn-success btn-xs'><i class='fa fa-eye'></i> Active</span></div>";
	}else if($row["status"]==0){
	    $nestedData[] ="<div class='text-center'><span class='btn btn-danger btn-xs' onclick='DynamicActive(".$row["id"].")'><i class='fa fa-eye-slash'></i> In-Active</span></div>";
	}
	
	$nestedData[] = "<div class='text-center'>".date('d-m-Y h:i A', strtotime($row["updated_at"]))."</div>";
        	
        	
	$data[] = $nestedData;
	$i++;
	

}

$json_data = array(
			"draw"            => intval( $requestData['draw'] ),  
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ), 
			"data"            => $data   
			);

echo json_encode($json_data); 




?>